Skip to main content
POST
/
action
/
outreach_strategist_generate_outreach_strategy
[OS] Outreach Strategist
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/outreach_strategist_generate_outreach_strategy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_website": "<string>",
  "contact_name": "<string>",
  "outreach_goal": "book_meeting",
  "output_variable_name": "outreach_strategy",
  "linkedin_url": "<string>",
  "contact_role": "<string>",
  "known_context": "<string>",
  "seller_product": "<string>",
  "seller_icp": "<string>",
  "seller_website": "<string>",
  "pain_points": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
company_website
string
required

The domain of the prospect's company.

contact_name
string
required

Full name of the person.

outreach_goal
enum<string>
default:book_meeting
required

Shapes the entire strategy.

Available options:
book_meeting,
start_relationship,
re_engage,
get_referral
output_variable_name
string
default:outreach_strategy
required

Variable name to store the strategy output.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
linkedin_url
string

Prospect's LinkedIn URL. Significantly enriches output with warm-up suggestions.

contact_role
string

Role when LinkedIn URL not provided.

known_context
string

Mutual connections, prior interactions, anything the agent can't research.

seller_product
string

Your product or service description.

seller_icp
string

Who your ideal customer is.

seller_website
string
pain_points
string

Key pain points you address.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action